Closed Bug 489560 Opened 11 years ago Closed 7 years ago

Adding the test for bug 488417 makes the test_movement_by_characters.html and test_movement_by_words.html sporadically orange

Categories

(Core :: Layout, defect)

x86
macOS
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: bzbarsky, Unassigned)

References

(Depends on 1 open bug, Blocks 1 open bug)

Details

(Keywords: intermittent-failure)

See bug 488417 comment 14.

I can't reproduce the failure locally (on Mac) nor on try server (any platform).  So I have no idea where we go from here...  Presumably the test that ends up failing (test_movement_by_characters.html, test_movement_by_words.html) makes some sort of assumptions about the selection that are suddenly false, and the hackery at its beginning with timeouts makes me think that somewhat likely, but I have no idea what it might be assuming.
Blocks: 488417
Looking at test_bug384147.html which is of a similar form:

> // If executed directly, a race condition exists that will cause execCommand
> // to fail occasionally (but often).  Defer test execution to page load.
> addLoadEvent(function() {
>
>   var sel = window.getSelection();

I would guess they need

addLoadEvent(test);

instead of

setTimeout(test, 0);
Hmm.  Worth trying, at least...
Doesn't seem to work.  http://hg.mozilla.org/mozilla-central/rev/cad52cbe6537 went orange too.
Whiteboard: [orange]
test_movement_by_characters.html fails from time to time on our Linux mochitests-4 box:

ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_movement_by_characters.html | Test timed out.

Usually after that error, also test_movement_by_words.html fails.

Current log:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285623824.1285626868.6917.gz#err0
Blocks: SmTestFail
(In reply to comment #4)
> test_movement_by_characters.html fails from time to time on our Linux
> mochitests-4 box:

our == SeaMonkey
(In reply to comment #4)

TopFails lists no failure for Firefox :-|
And only 1 for SeaMonkey :-<
http://brasstacks.mozilla.com/topfails/test/SeaMonkey?name=/tests/layout/generic/test/test_movement_by_words.html
"2010-09-24 04:40 SeaMonkey Linux"
Depends on: 565307
s: cb-seamonkey-linux-02
2788 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_movement_by_characters.html | Test timed out.
Summary: Adding the test for bug 488417 makes the following tests sporadically orange → Adding the test for bug 488417 makes the test_movement_by_characters.html and test_movement_by_words.html sporadically orange
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1286003172.1286008668.8517.gz
Linux comm-central-trunk debug test mochitests-4/5 on 2010/10/02 00:06:12

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1286042466.1286045473.4393.gz
Linux comm-central-trunk debug test mochitests-4/5 on 2010/10/02 11:01:06
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290203393.1290207579.26639.gz
Linux comm-central-trunk debug test mochitests-4/5 on 2010/11/19 13:49:53

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290221827.1290225968.12604.gz
Linux comm-central-trunk debug test mochitests-4/5 on 2010/11/19 18:57:07
Depends on: 616175
(In reply to comment #9)

Wrt bug 616175:

> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290203393.1290207579.26639.gz
> Linux comm-central-trunk debug test mochitests-4/5 on 2010/11/19 13:49:53

{
XScreenSaver state: On
XScreenSaver kind: Blanked
XScreenSaver idle timer activated 2001807 seconds ago
User input has been idle for 2002407 seconds
}

> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290221827.1290225968.12604.gz
> Linux comm-central-trunk debug test mochitests-4/5 on 2010/11/19 18:57:07

{
XScreenSaver state: On
XScreenSaver kind: Blanked
XScreenSaver idle timer activated 2020163 seconds ago
User input has been idle for 2020763 seconds
}
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.